<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'

const receiptStore = useReceiptStore()
const formatDate = (dateString: any): string => {
  if (!dateString) return ''

  const options: Intl.DateTimeFormatOptions = {
    year: 'numeric',
    month: 'numeric',
    day: 'numeric',
    hour: 'numeric',
    minute: 'numeric'
  }

  const formattedDate = new Date(dateString).toLocaleString('en-US', options)
  return formattedDate
}
function closeDialog() {
  receiptStore.receiptPaperHistoryDialog = false
  receiptStore.clear()
}
</script>

<template>
  <v-dialog v-model="receiptStore.receiptPaperHistoryDialog" persistent width="690" height="auto">
    <v-card style="background-color: #ffffff; font-family: 'Kanit'">
      <v-card-text>
        <v-container>
          <v-row>
            <v-col>
              <h2 style="text-align: center">
                D-Coffee
                <v-img src="src\assets\latte.png" height="200" style="background-color: #ffffff"></v-img>
              </h2>
            </v-col>
          </v-row>
          <v-row no-gutters>
            <v-divider style="margin-top: 4%"></v-divider>
            <v-col cols="6">Employee</v-col><v-col cols="6">{{ receiptStore.Order?.user?.fullName }}</v-col>
            <v-col cols="6">Date</v-col><v-col cols="6">{{ formatDate(receiptStore.Order?.created) }}</v-col>
            <v-col cols="6">Member</v-col><v-col cols="6">{{
    receiptStore.Order?.member?.name ? receiptStore.Order?.member?.name : '-'
  }}</v-col>
            <v-col cols="12">
              <v-divider></v-divider>
              <v-row>
                <v-col cols="4"><strong>Name</strong></v-col>
                <v-col cols="2"><strong>Category</strong></v-col>
                <v-col cols="2"><strong>Sweet</strong></v-col>
                <v-col cols="2"><strong>Qty</strong></v-col>
                <v-col cols="2"><strong>Price</strong></v-col>
              </v-row>
              <v-row v-for="item in receiptStore.Order!.receiptItems" :key="item.productId" class="mb-2">
                <v-col cols="4">{{ item.name }} </v-col>
                <v-col cols="2">{{ item.category }}</v-col>
                <v-col cols="2">{{ item.sweet }}</v-col>
                <v-col cols="2">{{ item.qty }}</v-col>
                <v-col cols="2">{{ item.price }}</v-col>
              </v-row>
              <v-divider class="mb-2"></v-divider>
            </v-col>
            <v-col cols="6">Total Qty :</v-col><v-col cols="6">{{ receiptStore.Order?.qty + ' unit' }}</v-col>
            <v-col cols="6">Total :</v-col><v-col cols="6">{{ receiptStore.Order?.total + ' ฿' }}</v-col>
            <v-col cols="6">MemberDiscount :</v-col><v-col cols="6">{{ '- ' + receiptStore.Order?.memberDiscount + ' ฿'
              }}</v-col>
            <v-col cols="6">PromotionDiscount :</v-col><v-col cols="6">{{ '- ' + receiptStore.Order?.promotionDiscount +
    ' ฿' }}</v-col>
            <v-col cols="6">TotalNet :</v-col><v-col cols="6">{{ receiptStore.Order!.totalNet + ' ฿' }}</v-col>
            <v-col cols="6">Cash :</v-col><v-col cols="6">{{ receiptStore.Order!.amount + ' ฿' }}</v-col>
            <v-col cols="6">Change :</v-col><v-col cols="6">{{ receiptStore.Order!.change + ' ฿' }}</v-col>
            <v-col cols="6">Payment :</v-col><v-col cols="6">{{ receiptStore.Order!.paymentType }}</v-col>
            <v-divider></v-divider>
          </v-row>
        </v-container>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="white-darken-1" variant="text" @click="closeDialog()" style="background-color: #c9c9cc">
          Close
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
